﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Default.aspx.cs" Inherits="_Default" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Cookie Test</title>
    <style type="text/css">
        .item
        {
            margin:10px;
        }
    </style>
    <script type="text/javascript">
            // Creates a cookie
            // sName:       name
            // sValue:      value
            // oExpires:    expires date
            // sPath:       path
            // sDomain:     domain
            // bSecure:     secure flag      
            function setCookie(sName, sValue, oExpires, sPath, sDomain, bSecure, bHttpOnly) {
                var sCookie = sName + "=" + encodeURIComponent(sValue);

                if (oExpires) {
                    sCookie += "; expires=" + oExpires.toGMTString();
                }
            
                if (sPath) {
                    sCookie += "; path=" + sPath;
                }
            
                if (sDomain) {
                    sCookie += "; domain=" + sDomain;
                }
            
                if (bSecure) {
                    sCookie += "; secure";
                }
            
                if (bHttpOnly){
                    sCookie += "; httpOnly";
                }
                document.cookie = sCookie;
            }
               
            // Get the value of a cookie by cookie name          
            function getCookie(sName) {
            
                var sRE = "(?:; )?" + sName + "=([^;]*);?";
                var oRE = new RegExp(sRE);
                
                if (oRE.test(document.cookie)) {
                    return decodeURIComponent(RegExp["$1"]);
                } else {
                    return null;
                }
            
            }                
            
            // delete cookie
            function deleteCookie(sName, sPath, sDomain) {
                var sCookie = sName + "=; expires=" + (new Date(0)).toGMTString();
                if (sPath) {
                    sCookie += "; path=" + sPath;
                }
            
                if (sDomain) {
                    sCookie += "; domain=" + sDomain;
                }
                
                document.cookie = sCookie;
            }            
            
            //前台Js检查cookie
            function setHistory(){
                if(getCookie("HistoryCookie") == null){
                    setCookie("HistoryCookie", "I've come here.", new Date(Date.parse("May 4, 2009")));
                }
                else{
                    //alert("welcome!");
                }
            }
            
            //set cookie in javascript
            function clientSetCookies(){
                //setCookie("ClientCookie1", "ClientTest1", new Date(Date.parse("May 4, 2009")), "/CookieTest", "http://localhost:6581/CookieApplication", true);
                setCookie("ClientCookie1", "ClientTest1", new Date(Date.parse("May 4, 2009")), null, null, false);
                setCookie("ClientCookie2", "ClientTest2", new Date(Date.parse("May 4, 2009")));
                setCookie("ClientCookie3", "ClientTest3");
                
                var sCookie = "The cookies created by client are:<br />{<br />&nbsp;&nbsp;Client Cookie1: " + getCookie("ClientCookie1")
                    + "<br />&nbsp;&nbsp;Client Cookie2: " + getCookie("ClientCookie2")
                    + "<br />&nbsp;&nbsp;Client Cookie3: " + getCookie("ClientCookie3")
                    + "<br />}";
                    
                document.getElementById('<% =divClient.ClientID%>').innerHTML = sCookie;
                //deleteCookie("cookie1");
                //deleteCookie("cookie2");
                //deleteCookie("cookie3");
            }
            
            //get cookies which created by server
            function clientGetCookies(){
                var sCookie = "The cookies read by client and created by server are:<br />{<br />&nbsp;&nbsp;Server Cookie1: " + getCookie("ServerCookie1")
                    + "<br />&nbsp;&nbsp;Server Cookie2: " + getCookie("ServerCookie2")
                    + "<br />&nbsp;&nbsp;Server Cookie3: " + getCookie("ServerCookie3")
                    + "<br />}";
                    
                document.getElementById('<% =divClient.ClientID%>').innerHTML = sCookie;
            }
    </script>
</head>
<body onload="setHistory();">
    <form id="form1" runat="server">
        <div class="item" enableviewstate="false" runat="server" id="divHistory">
        </div>
        <div>
            <div class="item">
                Asp.net cookie test:<br />
                <input type="button" id="btnClientSet" value="Client Set Cookies" onclick="clientSetCookies()" />&nbsp;&nbsp;
                <asp:Button ID="btnServerGet" runat="server" Text="Server Get Cookies" OnClick="btnServerGet_Click" />&nbsp;&nbsp;
                <asp:Button ID="btnServerSet" runat="server" Text="Server Set Cookies" OnClick="btnServerSet_Click" />&nbsp;&nbsp;
                <input type="button" value="Client Get Cookies" onclick="clientGetCookies()" />&nbsp;&nbsp;
            </div>
            <div class="item">                
                <div id="divClient" runat="server"></div>
            </div>   
            <div class="item">
                <div id="divServer" runat="server"></div>
            </div>       
        </div>
    </form>
</body>
</html>
