﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            // check history
            if (Request.Cookies["HistoryCookie"] != null && !string.IsNullOrEmpty(Request.Cookies["HistoryCookie"].Value))
            {
                divHistory.InnerHtml = "You have come here before!";
            }
        }
    }

    /// <summary>
    /// Get cookies which created by client
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnServerGet_Click(object sender, EventArgs e)
    {
        divServer.InnerHtml = "The cookies read by Server and created by client are:<br />{<br />&nbsp;&nbsp;Client Cookie1:"
            + Request.Cookies["ClientCookie1"].Value + "<br />&nbsp;&nbsp;Client Cookie2:"
            + Request.Cookies["ClientCookie2"].Value + "<br />&nbsp;&nbsp;Client Cookie3:"
            + Request.Cookies["ClientCookie3"].Value + "<br />}";
    }

    /// <summary>
    /// Create cookies in Server
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnServerSet_Click(object sender, EventArgs e)
    {
        HttpCookie cookie1 = new HttpCookie("ServerCookie1", "serverTest1");
        HttpCookie cookie2 = new HttpCookie("ServerCookie2", "serverTest2");
        HttpCookie cookie3 = new HttpCookie("ServerCookie3", "serverTest3");

        Response.Cookies.Add(cookie1);
        Response.Cookies.Add(cookie2);
        Response.Cookies.Add(cookie3);

        divServer.InnerHtml = "The cookies created by server are:<br />{<br />&nbsp;&nbsp;Server Cookie1:"
            + Request.Cookies["ServerCookie1"].Value + "<br />&nbsp;&nbsp;Server Cookie2:"
            + Request.Cookies["ServerCookie2"].Value + "<br />&nbsp;&nbsp;Server Cookie3:"
            + Request.Cookies["ServerCookie3"].Value + "<br />}";
    }
}
